epoch=750
batch=100


mkdir results
mkdir results/cifar_resnet34


for class in {2,10,4} ; do
    for seed in {0,1,2} ; do
	mkdir results/cifar_resnet34/${seed}
	mkdir results/cifar_resnet34/${seed}/class_${class}
	
	for lr in {0.01,0.05,0.005} ; do
	    for method in {decentlam,momentum_tracking,qg_dsgdm} ; do
		log_path=./results/cifar_resnet34/${seed}/class_${class}/${method}_lr_${lr}/
		mkdir ${log_path}
		python evaluate_cifar.py ${method} ${log_path} --model resnet --seed ${seed} --port 1579067 --nw config/ring_8/class${class}_${seed}.json --lr ${lr} --epoch ${epoch}
	    done
	done
    done
done

for class in {2,4,10} ; do
    for seed in {0,1,2} ; do
	mkdir results/cifar_resnet34/${seed}
	mkdir results/cifar_resnet34/${seed}/class_${class}
	
	for lr in {0.05,0.01,0.005} ; do
	    for method in {gossip,gradient_tracking,dsgdm} ; do
		log_path=./results/cifar_resnet34/${seed}/class_${class}/${method}_lr_${lr}/
		mkdir ${log_path}
		python evaluate_cifar.py ${method} ${log_path} --model resnet --seed ${seed} --port 1579067 --nw config/ring_8/class${class}_${seed}.json --lr ${lr} --epoch ${epoch}
	    done
	done
    done
done

